%% TFM - Lucas Onrubia Fontangordo :)
% Este programa extrae todas las gráficas de los resultados obtenidos
% Las gráficas de la memoria que tienen gradiente de color están editadas
% con photoshop para añadirle los colores
%% Limpieza del espacio de trabajo

close all
clear all
clc

%% Carga de los datos
mat = dir('*.mat');
for q = 1:length(mat)
    load(mat(q).name);
end

% Módulo de Young (MPa)
eBPE = mean(rBPE(4,:),'all');
eBPE20n = mean(rBPE20n(4,:),'all');
eBPE40n = mean(rBPE40n(4,:),'all');
eBPE40p = mean(rBPE40p(4,:),'all');
eBPE60n = mean(rBPE60n(4,:),'all');
ePLA = mean(rPLA(4,:),'all');
ePLA20n = mean(rPLA20n(4,:),'all');
ePLA40n = mean(rPLA40n(4,:),'all');
ePLA40p = mean(rPLA40p(4,:),'all');
E = [eBPE eBPE20n eBPE40n eBPE40p eBPE60n ePLA ePLA20n ePLA40n ePLA40p];
% Rigidez (KN/m)
kBPE = mean(rBPE(2,:),'all');
kBPE20n = mean(rBPE20n(2,:),'all');
kBPE40n = mean(rBPE40n(2,:),'all');
kBPE40p = mean(rBPE40p(2,:),'all');
kBPE60n = mean(rBPE60n(2,:),'all');
kPLA = mean(rPLA(2,:),'all');
kPLA20n = mean(rPLA20n(2,:),'all');
kPLA40n = mean(rPLA40n(2,:),'all');
kPLA40p = mean(rPLA40p(2,:),'all');
K = [kBPE kBPE20n kBPE40n kBPE40p kBPE60n kPLA kPLA20n kPLA40n kPLA40p];
% Loss Factor (Adimensional)
lBPE = mean(rBPE(3,:),'all');
lBPE20n = mean(rBPE20n(3,:),'all');
lBPE40n = mean(rBPE40n(3,:),'all');
lBPE40p = mean(rBPE40p(3,:),'all');
lBPE60n = mean(rBPE60n(3,:),'all');
lPLA = mean(rPLA(3,:),'all');
lPLA20n = mean(rPLA20n(3,:),'all');
lPLA40n = mean(rPLA40n(3,:),'all');
lPLA40p = mean(rPLA40p(3,:),'all');
L = [lBPE lBPE20n lBPE40n lBPE40p lBPE60n lPLA lPLA20n lPLA40n lPLA40p];
% Rigidez a la flexión D (N⋅m)
D = round((2.*(E.*(10^6)).*(2*(10^-3))^3)./2.97,1);
% Módulo de young de los PMs (En MPa):
% medidos con la plataforma (MPa)
PM20 = [2581 2482 2495 2505 2350 2620 2445 2416];
PM30 = [3488 3581 3406 3412 3284 3528 3369 3376];
PM40 = [4117 3868 4066 3981 3737 4169 4037 3906];
PM50 = [5023 5234 4802 4765 4808 4666 4881 4686];
% Medidos mediante ensayo de tracción (MPa)
D638_20 = 2800;
D638_30 = 3700;
D638_40 = 4300;
D638_50 = 5100;

names = {'Moving Average'; 'Moving Median'; 'Gaussian'; 'Lowess'; 'Loess'; 'Robust Lowess'; 'Robust Loess'; 'Savitzky-Golay'; 'Promedio'};
names2 = {'BioPE'; 'BioPE + 20% N'; 'BioPE + 40% N'; 'BioPE + 40% P'; 'BioPE + 60% N'; 'PLA'; 'PLA + 20% N'; 'PLA + 40% N'; 'PLA + 40% P'};
names3 = {'PP+20% Medido'; 'PP+20% D638'; 'PP+30% Medido'; 'PP+30% D638'; 'PP+40% Medido'; 'PP+40% D638'; 'PP+50% Medido'; 'PP+50% D638'};

%% Módulo de Young
figure; bar(horzcat(rBPE(4,:)./1000,eBPE/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Bio Polietileno')

figure; bar(horzcat(rBPE20n(4,:)./1000,eBPE20n/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Bio Polietileno + 20% CaCO3 Natural')

figure; bar(horzcat(rBPE40n(4,:)./1000,eBPE40n/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Bio Polietileno + 40% CaCO3 Natural')

figure; bar(horzcat(rBPE40p(4,:)./1000,eBPE40p/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Bio Polietileno + 40% CaCO3 Precipitado')

figure; bar(horzcat(rBPE60n(4,:)./1000,eBPE60n/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Bio Polietileno + 60% CaCO3 Natural')

figure; bar(horzcat(rPLA(4,:)./1000,ePLA/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('(Ácido Poliláctico) PLA')

figure; bar(horzcat(rPLA20n(4,:)./1000,ePLA20n/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('(Ácido Poliláctico) PLA + 20% CaCO3 Natural')

figure; bar(horzcat(rPLA40n(4,:)./1000,ePLA40n/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('(Ácido Poliláctico) PLA + 40% CaCO3 Natural')

figure; bar(horzcat(rPLA40p(4,:)./1000,ePLA40p/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('(Ácido Poliláctico) PLA + 40% CaCO3 Precipitado')

figure; bar(E./1000,'k')
set(gca,'xtick',[1:9],'xticklabel',names2)
grid
title('Módulo de Young promedio')
xlabel('Material')
ylabel('E (GPa)')

%% Rigidez
figure; bar(horzcat(rBPE(2,:),kBPE))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('Bio Polietileno')

figure; bar(horzcat(rBPE20n(2,:),kBPE20n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('Bio Polietileno + 20% CaCO3 Natural')

figure; bar(horzcat(rBPE40n(2,:),kBPE40n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('Bio Polietileno + 40% CaCO3 Natural')

figure; bar(horzcat(rBPE40p(2,:),kBPE40p))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('Bio Polietileno + 40% CaCO3 Precipitado')

figure; bar(horzcat(rBPE60n(2,:),kBPE60n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('Bio Polietileno + 60% CaCO3 Natural')

figure; bar(horzcat(rPLA(2,:),kPLA))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('(Ácido Poliláctico) PLA')

figure; bar(horzcat(rPLA20n(2,:),kPLA20n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('(Ácido Poliláctico) PLA + 20% CaCO3 Natural')

figure; bar(horzcat(rPLA40n(2,:),kPLA40n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('(Ácido Poliláctico) PLA + 40% CaCO3 Natural')

figure; bar(horzcat(rPLA40p(2,:),kPLA40p))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Rigidez (KN/m)')
title('(Ácido Poliláctico) PLA + 40% CaCO3 Precipitado')

figure; bar(K,'k')
set(gca,'xtick',[1:9],'xticklabel',names2)
grid
title('Rigidez Promediada')
xlabel('Material')
ylabel('k (KN/m)')

%% Loss Factor

figure; bar(horzcat(rBPE(3,:),lBPE))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('Bio Polietileno')

figure; bar(horzcat(rBPE20n(3,:),lBPE20n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('Bio Polietileno + 20% CaCO3 Natural')

figure; bar(horzcat(rBPE40n(3,:),lBPE40n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('Bio Polietileno + 40% CaCO3 Natural')

figure; bar(horzcat(rBPE40p(3,:),lBPE40p))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('Bio Polietileno + 40% CaCO3 Precipitado')

figure; bar(horzcat(rBPE60n(3,:),lBPE60n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('Bio Polietileno + 60% CaCO3 Natural')

figure; bar(horzcat(rPLA(3,:),lPLA))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('(Ácido Poliláctico) PLA')

figure; bar(horzcat(rPLA20n(3,:),lPLA20n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('(Ácido Poliláctico) PLA + 20% CaCO3 Natural')

figure; bar(horzcat(rPLA40n(3,:),lPLA40n))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('(Ácido Poliláctico) PLA + 40% CaCO3 Natural')

figure; bar(horzcat(rPLA40p(3,:),lPLA40p))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Loss Factor')
title('(Ácido Poliláctico) PLA + 40% CaCO3 Precipitado')

figure; bar(L,'k')
set(gca,'xtick',[1:9],'xticklabel',names2)
grid
title('Loss Factor Promedio')
xlabel('Material')
ylabel('k (KN/m)')

%% Resultados de los PM

figure; bar(horzcat(PM20/1000,mean(PM20,'all')/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Polipropileno + fibras de naranjo (20%)')

figure; bar(horzcat(PM30/1000,mean(PM30,'all')/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Polipropileno + fibras de naranjo (30%)')

figure; bar(horzcat(PM40/1000,mean(PM40,'all')/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Polipropileno + fibras de naranjo (40%)')

figure; bar(horzcat(PM50/1000,mean(PM50,'all')/1000))
set(gca,'xtick',[1:9],'xticklabel',names)
xlabel('Método de suavizado')
ylabel('Módulo de Young (GPa)')
title('Polipropileno + fibras de naranjo (50%)')

%

figure; bar(horzcat(mean(PM20,'all'),D638_20,mean(PM30,'all'),D638_30,mean(PM40,'all'),D638_40,mean(PM50,'all'),D638_50)./1000)
set(gca,'xtick',[1:8],'xticklabel',names3)
grid
title('Módulo de Young promedio')
xlabel('Material')
ylabel('E (GPa)')

figure; bar(D)
set(gca,'xtick',[1:9],'xticklabel',names2)
grid
title('Rigidez a la flexión de las muestras de material')
xlabel('Material')
ylabel('D (N⋅m)')

% Por familia de material
figure; bar(D(1:5))
set(gca,'xtick',[1:5],'xticklabel',names2(1:5))
grid
title('Rigidez a la flexión por familia de material: Bio-PE')
xlabel('Material')
ylabel('D (N⋅m)')

figure; bar(D(6:end))
set(gca,'xtick',[1:4],'xticklabel',names2(6:end))
grid
title('Rigidez a la flexión por familia de material: PLA')
xlabel('Material')
ylabel('D (N⋅m)')

figure; bar(E(1:5)./1000)
set(gca,'xtick',[1:5],'xticklabel',names2(1:5))
grid
title('Módulo de Young por familia de material: Bio-PE')
xlabel('Material')
ylabel('E (N⋅m)')

figure; bar(E(6:end)./1000)
set(gca,'xtick',[1:4],'xticklabel',names2(6:end))
grid
title('Módulo de Young por familia de material: PLA')
xlabel('Material')
ylabel('E (N⋅m)')

figure; bar(K(1:5))
set(gca,'xtick',[1:5],'xticklabel',names2(1:5))
grid
title('Rigidez por familia de material: Bio-PE')
xlabel('Material')
ylabel('k (N⋅m)')

figure; bar(K(6:end))
set(gca,'xtick',[1:4],'xticklabel',names2(6:end))
grid
title('Rigidez por familia de material: PLA')
xlabel('Material')
ylabel('k (N⋅m)')

figure; bar(L(1:5))
set(gca,'xtick',[1:5],'xticklabel',names2(1:5))
grid
ylim([0 0.2])
title('Loss Factor por familia de material: Bio-PE')
xlabel('Material')
ylabel('\eta')

figure; bar(L(6:end))
set(gca,'xtick',[1:4],'xticklabel',names2(6:end))
grid
title('Loss Factor por familia de material: PLA')
xlabel('Material')
ylabel('\eta')