%% TFM - Lucas Onrubia Fontangordo

%% Limpieza del espacio de trabajo

close all
clear all
clc

%% Procesado

% Cargamos los datos de pérdidas por transmisión obtenidos mediante la
% aplicación del modelo de Ookura & Saito
load('TLCT.mat')
TLBPE = TLMismoespesor(1,:);
TLBPE20n = TLMismoespesor(2,:);
TLBPE40n = TLMismoespesor(3,:);
TLBPE40p = TLMismoespesor(4,:);
TLBPE60n = TLMismoespesor(5,:);
TLPLA = TLMismoespesor(6,:);
TLPLA20n = TLMismoespesor(7,:);
TLPLA40n = TLMismoespesor(8,:);
TLPLA40p = TLMismoespesor(9,:);

% Vector de frecuencias
f=[50 63 80 100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000];

% Figuras
figure;
semilogx(f,TLBPE,f,TLBPE20n,f,TLBPE40n,f,TLBPE40p,f,TLBPE60n,'LineWidth',1.5);
xlim([f(1) f(end)])
xticks(f)
grid
title('Pérdidas por transmisión para paneles monocapa de 4mm de espesor')
xlabel('Frecuencia (Hz)')
ylabel('TL (dB)')
legend('Bio-PE, m=3.38Kg/m^2','Bio-PE+20N, m=3.92Kg/m^2','Bio-PE+40N, m=4.55Kg/m^2','Bio-PE+40P, m=4.47Kg/m^2','Bio-PE+60N, m=5.17Kg/m^2')

figure;
semilogx(f,TLPLA,f,TLPLA20n,f,TLPLA40n,f,TLPLA40p,'LineWidth',1.5);
xlim([f(1) f(end)])
xticks(f)
grid
title('Pérdidas por transmisión para paneles monocapa de 4mm de espesor')
xlabel('Frecuencia (Hz)')
ylabel('TL (dB)')
legend('PLA, m=4.66Kg/m^2','PLA+20N, m=5.26Kg/m^2','PLA+40N, m=6.10Kg/m^2','PLA+40P, m=5,91Kg/m^2')